#!/bin/bash

# Redis 服务器地址和端口
REDIS_HOST="127.0.0.1"
REDIS_PORT="26312"

# Redis 密码
REDIS_PASSWORD="Password2017"

echo "INFO: redis handle start..."
# 使用 redis-cli 连接到 Redis 服务器
redis-cli -h $REDIS_HOST -p $REDIS_PORT -a $REDIS_PASSWORD KEYS 'wwyt_pod_static_timeout_task_pre_*' | while read key; do
    # 检查键的类型
    key_type=$(redis-cli -h $REDIS_HOST -p $REDIS_PORT -a $REDIS_PASSWORD TYPE $key)
    
    if [ "$key_type" == "hash" ]; then
        # 删除键
        redis-cli -h $REDIS_HOST -p $REDIS_PORT -a $REDIS_PASSWORD DEL $key
        echo "INFO: Deleted key: $key"
    fi
done

echo "SUCCESS: Finished processing keys."